/* フォームリセット */
fieldset {
  margin: 0;
  padding: 0;
  border: none;
}

input::placeholder {
  color: var(--Gray-400);
}

label,
input,
select,
textarea {
  font: inherit;
  font-size: 0.9375rem;
  line-height: 1.8;
  color: var(--Gray-800);
  vertical-align: top;
}

textarea {
  resize: vertical;
  height: 14.5rem;
}

[type='text'],
[type='search'],
[type='tel'],
[type='url'],
[type='email'],
[type='password'],
[type='date'],
textarea {
  width: 100%;
  padding: 0.9375rem 1.25rem;
  font-family: inherit;
  letter-spacing: 0.06em;
  background-color: var(--Gray-10);
  background-image: none;
  border: 1px solid var(--Gray-10);
}

select {
  width: 100%;
  padding: 1rem 1.25rem;
  font-family: inherit;
  font-size: 0.9375rem;
  letter-spacing: 0.06em;
  color: var(--Gray-800);
  background-color: var(--Gray-10);
  background-image: none;
  border: 1px solid var(--Gray-10);
  border-radius: 0;
  appearance: none;
  background-position: right 1.2rem center;
  background-repeat: no-repeat;
  cursor: pointer;
}

.contactForm__list.select-img {
  max-width: 20rem;
}

select option {
  color: var(--Gray-800);
  background-color: #fff;
  border: 1px solid var(--Gray-10);
  border-radius: 4px;
}

.wpcf7-form-control-wrap:has(.wpcf7-select) {
  position: relative;
  display: block;
  line-height: 1.5;
}

.wpcf7-form-control-wrap:has(.wpcf7-select)::after {
  position: absolute;
  top: 1.71875rem;
  right: 1.1875rem;
  width: 0.625rem;
  background: url('../../images/top/icon-arrow-select.svg') no-repeat center center / contain;
  content: '';
  aspect-ratio: 8 / 4;
  transform: scale(1, -1);
}

.contactForm__list > label {
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.8;
}

/* 日付カレンダー */
input[type='date']::-webkit-calendar-picker-indicator {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
}

/* エラー */
.wpcf7-not-valid-tip {
  margin-top: 1em;
  font-size: 0.875rem;
  color: #b31d1d;
}

/* ================================== */

/* ラジオボタン、チェックボックス */

/* ================================== */
.wpcf7-radio,
.wpcf7-checkbox {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 0 2rem;
}

.wpcf7-list-item label {
  display: flex;
  align-items: center;
  gap: 0.8rem;
  cursor: pointer;
}

.wpcf7-list-item input {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

/* radio,チェックボックス 共通枠 */
.wpcf7-list-item-label::before {
  position: absolute;
  top: 50%;
  left: 0.5625rem;
  width: 1.25rem;
  height: 1.25rem;
  background-color: #fff;
  border: 2px solid var(--Gray-800);
  border-radius: 2px;
  content: '';
  transform: translateY(-50%);
}

/* チェックボックス アイコン */
.wpcf7-checkbox .wpcf7-list-item input:checked + .wpcf7-list-item-label::after {
  position: absolute;
  top: 50%;
  left: 0.90625rem;
  width: 0.8125rem;
  height: 0.625rem;
  background: url('../../images/top/icon-check-form.svg') no-repeat center center / contain;
  content: '';
  transform: translateY(-50%);
}

/* ラジオボタン仮 */
.wpcf7-radio .wpcf7-list-item-label {
  min-height: 2rem;
  color: var(--Gray-800);
}

.wpcf7-radio .wpcf7-list-item-label::before {
  border-radius: 50%;
}

.wpcf7-radio .wpcf7-list-item-label::after {
  position: absolute;
  top: 50%;
  left: 0.75rem;
  width: 0.5rem;
  height: 0.5rem;
  background-color: #fff;
  border-radius: 50%;
  opacity: 0;
  content: '';
  transform: translateY(-50%);
}

.wpcf7-radio input:checked + .wpcf7-list-item-label::after {
  opacity: 1;
}

/* 同意チェック */
.wpcf7-acceptance .wpcf7-list-item-label {
  position: relative;
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
  height: 2.5rem;
  padding-left: 3rem;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.8;
}

.wpcf7-acceptance .wpcf7-list-item-label::before {
  display: inline-block;
}

.wpcf7-acceptance input:checked + .wpcf7-list-item-label::after {
  position: absolute;
  top: 50%;
  left: 0.9065rem;
  width: 13px;
  height: 10px;
  background: url('../../images/top/icon-check-form.svg') no-repeat center center / contain;
  content: '';
  transform: translateY(-50%);
}

/* ================================== */

/* （デフォルト）送信ボタン */

/* ================================== */
[type='submit'],
.form__button {
  display: inline-block;
  font-family: inherit;
  text-align: center;
  box-shadow: none;
  appearance: none;
}

/* デフォルト　送信ボタンについて */
.wpcf7-submit:disabled {
  cursor: not-allowed; /* カーソルを禁止マークに変更 */
}

.wpcf7-mail-sent-ok .wpcf7-submit {
  background: #343d5c; /* 送信完了後の色 */
  cursor: default;
}

/* 送信ローダーの位置調整 */
.wpcf7 .wpcf7-spinner {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  transform: translate(-4rem, -50%);
}

.contactForm__btn-wrapper {
  position: relative;
  width: fit-content;
  width: 226px;
  height: 49px;
  margin-top: 3.53125rem;
  margin-bottom: 0.90625rem;
  margin-inline: auto;
}

.contactForm__btn-wrapper::before {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 0;
  display: inline-block;
  width: 100%;
  height: 100%;
  padding: 0;
  background-color: var(--Red-900_main);
  border-radius: 4px;
  transition: padding 0.5s;
  content: '';
  transform: translate(-50%, -50%);
}

.contactForm__btn-wrapper::after {
  position: absolute;
  top: 50%;
  right: 65px;
  width: 10px;
  height: 9px;
  background: url('../../images/top/icon-button-arrow--white.svg') no-repeat center center / contain;
  transition: right 0.3s;
  content: '';
  transform: translateY(-50%);
}

.wpcf7-submit,
.contactForm__btn {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 226px;
  max-width: 100%;
  height: 49px;
  margin-right: auto;
  margin-left: auto;
  padding-right: 1.5rem;
  font-size: 0.9375rem;
  font-weight: 700;
  line-height: 1.8;
  text-align: center;
  color: #fff;
  background: var(--Red-800_main);
  border: none;

  /* padding: 11px 81.2px; */
  border-radius: 4px;

  /* z-index: 2; */
  transition: background 0.3s;
  cursor: pointer;
  transform: translate(-50%, -50%);

  /* transition:
  padding 0.5s,
  width 0.15s ease-out,
  height 0.15s ease-out; */
}

@media (hover: hover) {
  .contactForm__btn-wrapper:hover::after {
    right: 63px;
  }

  .contactForm__btn-wrapper:hover::before {
    padding: 2px;
  }

  .wpcf7-submit:hover {
    background: var(--Red-900_main);

    /* padding: 15px 83.2px; */
  }
}

.contactForm__btn-wrapper:focus-visible::after {
  right: 63px;
}

.wpcf7-submit:focus-visible {
  background: var(--Red-900_main);
}

/* 個人情報チェック調整 */
.contactForm__agree-wrapper a {
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.8;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: 6%;
  text-underline-offset: 1px;
  text-underline-position: from-font;
  padding-block: 0.34375rem;
}

.contactForm-agree .wpcf7-form-control-wrap {
  width: fit-content;
}

.contactForm__link-wrapper {
  margin-left: 4rem;
}

.contactForm__link-wrapper a {
  display: inline-block;
  margin-right: 0.4rem;
  text-decoration: underline;
  color: var(--Gray-800);
}

.contactForm__link-wrapper a:visited {
  color: #609;
}

.contactForm-agree {
  display: block;
  width: fit-content;
  margin: 0 auto;
}

.wpcf7-list-item {
  margin: 0;
}

.wpcf7-list-item > label {
  display: flex;
  align-items: center;
  gap: 0.8rem;
}

.checklist__margin input[type='radio'],
.checklist__margin input[type='checkbox'] {
  margin: 0 0 0 2.4rem;
}

.checklist__margin .wpcf7-list-item.first input[type='radio'],
.checklist__margin .wpcf7-list-item.first input[type='checkbox'] {
  margin-left: 0;
}

.wpcf7 form .wpcf7-response-output {
  padding: 1.5em;
  font-size: 0.875rem;
  color: var(--Gray-800);
}

.wpcf7 form.sent .wpcf7-response-output {
  display: none;
}

/* layout */
.contactForm__lists {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.contactForm__list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

/* ======================
申し込みフォーム　カスタム
====================== */
.contactForm__agree-labels {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.25rem;
  width: fit-content;
  margin-inline: auto;
}

@media screen and (width <= 767px) {
  .contactForm__lists {
    gap: 1.5rem;
  }

  .contactForm__list {
    gap: 0.25rem;
  }

  .contactForm__list > label {
    font-size: 1rem;
  }

  .wpcf7-acceptance .wpcf7-list-item-label,
  .wpcf7-acceptance .wpcf7-list-item-label a {
    font-size: 0.875rem;
  }
}
